package com.chinaweal.aiccs.aiccs.seriousillegal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.abnormal.entity.EBaseinfo;
import com.chinaweal.aiccs.aiccs.abnormal.entity.vo.TSBizSpeListVO;
import com.chinaweal.aiccs.aiccs.seriousillegal.entity.TSBizSerIllegalReas;
import com.chinaweal.aiccs.aiccs.seriousillegal.entity.TSBizSerIllegal;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 列入严重违法企业名单业务表 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-26
 */
public interface TSBizSerIllegallMapper extends BaseMapper<TSBizSerIllegal> {

    List<TSBizSerIllegal> selectBizSerIllegalModels(@Param("tsBizSerIllegalModel") TSBizSerIllegal tsBizSerIllegalModel);

    IPage<TSBizSerIllegal> selectSerIllegalByPageList(@Param("tsBizSerIllegalModel") TSBizSerIllegal tsBizSerIllegalModel,
                                                      IPage<TSBizSerIllegal> page);

    List<TSBizSerIllegalReas> getSerillreasOne();


    List<TSBizSerIllegalReas> getSerillreasOthers();

    List<TSBizSerIllegalReas> findSerIllegalReas();

    TSBizSerIllegalReas findSerIllegalReaByCode(@Param("reaCode") String reaCode);

    TSBizSerIllegal queryByTBYZWFAPPROVE(@Param("SAPPROVECODE")String SAPPROVECODE);

    TSBizSerIllegal queryByTBYZWFBATCHAPPROVE(@Param("SAPPROVECODE")String SAPPROVECODE);

    IPage<EBaseinfo> queryEntByTBYZWFBATCHLIST(IPage<TSBizSpeListVO> page, @Param("SAPPROVECODE") String SAPPROVECODE);
}
